complexType "CalculationAgent"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 element
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | calculationAgentParty
</...>

Content Model Elements (1):

  calculationAgentParty

All Direct / Indirect Based Elements (4):

  calculationAgent (defined in CalculationAgent.model group), calculationAgent (in mandatoryEarlyTermination), | calculationAgent (in optionalEarlyTermination), calculationAgentDetermination

Known Usage Locations

- As direct type of elements (4):

  calculationAgent (defined in CalculationAgent.model group), calculationAgent (in mandatoryEarlyTermination), | calculationAgent (in optionalEarlyTermination), calculationAgentDetermination

Annotation
A type defining the ISDA calculation agent responsible for performing duties as defined in the applicable product definitions.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CalculationAgent"> <xsd:choice> <!--View Generation: SKIPPED calculationAgentPartyReference - PartySpecific--> <xsd:element name="calculationAgentParty" type="CalculationAgentPartyEnum"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/1)
calculationAgentParty

  Type: | CalculationAgentPartyEnum, simple content

  The ISDA calculation agent responsible for performing duties as defined in the applicable product definitions. For example, the Calculation Agent may be defined as being the Non-exercising Party.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "ExercisingParty" | - | The party that gives notice of exercise. Per 2000 ISDA Definitions, Section 11.1. Parties, paragraph (d). See: http://www.FpML.org
  "NonExercisingParty" | - | The party that is given notice of exercise. Per 2000 ISDA Definitions, Section 11.1. Parties, paragraph (e). See: http://www.FpML.org
  "AsSpecifiedInMasterAgreement" | - | The Calculation Agent is determined by reference to the relevant master agreement. See: http://www.FpML.org
  "AsSpecifiedInStandardTermsSupplement" | - | The Calculation Agent is determined by reference to the relevant standard terms supplement. See: http://www.FpML.org
  "Both" | - | Both parties with joined rights to be a calculation agent. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="calculationAgentParty" type="CalculationAgentPartyEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.